## org.jfree.data.general
Class DefaultKeyedValues2DDataset

    java.lang.Object
      org.jfree.data.general.AbstractDataset
          org.jfree.data.category.DefaultCategoryDataset
              org.jfree.data.general.DefaultKeyedValues2DDataset

All Implemented Interfaces:
  java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, CategoryDataset, Dataset, KeyedValues2DDataset, KeyedValues2D, Values2D, org.jfree.util.PublicCloneable

    public class DefaultKeyedValues2DDataset

extends DefaultCategoryDataset
implements KeyedValues2DDataset, java.io.Serializable

A default implementation of the `KeyedValues2DDataset` interface.

See Also:
  Serialized Form

Constructor Summary
`DefaultKeyedValues2DDataset()`

Method Summary

Methods inherited from class org.jfree.data.category.DefaultCategoryDataset
`addValue, addValue, clear, clone, equals, getColumnCount, getColumnIndex, getColumnKey, getColumnKeys, getRowCount, getRowIndex, getRowKey, getRowKeys, getValue, getValue, hashCode, incrementValue, removeColumn, removeColumn, removeRow, removeRow, removeValue, setValue, setValue`

Methods inherited from class org.jfree.data.general.AbstractDataset
`addChangeListener, fireDatasetChanged, getGroup, hasListener, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.KeyedValues2D
`getColumnIndex, getColumnKey, getColumnKeys, getRowIndex, getRowKey, getRowKeys, getValue`

Methods inherited from interface org.jfree.data.Values2D
`getColumnCount, getRowCount, getValue`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### DefaultKeyedValues2DDataset

    public DefaultKeyedValues2DDataset()